INTERFACE
SUBROUTINE PPNOX(KPROMA,KSTART,KPROF,KFLEV,KLEVP,KLOLEV,KLEVB,&
 & PRES,PLNPRES,LDBELS,LDBLES,&
 & PRXP,PRXPD,PTF,PO3F,PNOXF,PSOL,PAL,PCC,PTAUC,PCOD,&
 & PNO2) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NPPM
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KFLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KLEVP
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
INTEGER(KIND=JPIM),INTENT(IN) :: KLOLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KLEVB(KPROMA,KLEVP,NPPM)
REAL(KIND=JPRB) ,INTENT(IN) :: PRES(KPROMA,KLEVP)
REAL(KIND=JPRB) ,INTENT(IN) :: PLNPRES(KPROMA,KLEVP)
LOGICAL ,INTENT(IN) :: LDBELS(KPROMA,KLEVP)
LOGICAL ,INTENT(IN) :: LDBLES(KLEVP)
REAL(KIND=JPRB) ,INTENT(IN) :: PRXP(KPROMA,0:KFLEV,NPPM)
REAL(KIND=JPRB) ,INTENT(IN) :: PRXPD(KPROMA,0:KFLEV,NPPM)
REAL(KIND=JPRB) ,INTENT(IN) :: PTF(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PO3F(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PNOXF(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSOL(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PAL(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PCC(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTAUC(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCOD(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PNO2(KPROMA,0:KFLEV)
END SUBROUTINE PPNOX
END INTERFACE
